SolrQuery::getFacetDateFields
SolrQuery::getFacetDateHardEnd
SolrQuery
PHP Manual

# SolrQuery::getFacetDateGap

(PECL solr >= 0.9.2)

SolrQuery::getFacetDateGap — Returns the value of the facet.date.gap parameter

### Description

public string SolrQuery::getFacetDateGap ([ string `$field_override` ] )

Returns the value of the facet.date.gap parameter. It accepts an optional field override

### Parameters

`field_override`

  The name of the field

### Return Values

Returns a string on success and `NULL` if not set

SolrQuery::getFacetDateFields
SolrQuery::getFacetDateHardEnd
SolrQuery
PHP Manual